|  | Home · All Classes · Modules

# QFileDialog.Options Class Reference
[QtGui module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, Options)

### Special Methods

- Options __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, Options f)
- Options __iand__ (self, int f)
- int __int__ (self)
- Options __invert__ (self)
- Options __ior__ (self, int f)
- Options __ixor__ (self, int f)
- bool __ne__ (self, Options f)
- Options __or__ (self, int f)
- Options __xor__ (self, int f)

## Detailed Description

Option may be used whenever Options is expected.

## Method Documentation

### Options.__init__ (self)

### Options.__init__ (self, int f)

### Options.__init__ (self, Options)

### Options Options.__and__ (self, int f)

### int Options.__bool__ (self)

### bool Options.__eq__ (self, Options f)

### Options Options.__iand__ (self, int f)

### int Options.__int__ (self)

### Options Options.__invert__ (self)

### Options Options.__ior__ (self, int f)

### Options Options.__ixor__ (self, int f)

### bool Options.__ne__ (self, Options f)

### Options Options.__or__ (self, int f)

### Options Options.__xor__ (self, int f)